> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pictum.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List icons in a collection

> Return visible, categorized, hidden, and alias icon names without SVG bodies.



## OpenAPI

````yaml /openapi.yaml get /v1/icons/collections/{prefix}.json
openapi: 3.1.0
info:
  title: Pictum API
  version: 1.0.0
  description: Render public assets
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://pictum.dev
    description: Production API
security: []
tags:
  - name: Icons
    description: Browse and render the icon catalog.
  - name: Avatars
    description: Render generated avatars or select seeded realistic portraits.
  - name: QR codes
    description: Render Base64-encoded text as deterministic QR code images.
  - name: Placeholders
    description: Render exact-size placeholder images with optional text and colors.
paths:
  /v1/icons/collections/{prefix}.json:
    get:
      tags:
        - Icons
      summary: List icons in a collection
      description: >-
        Return visible, categorized, hidden, and alias icon names without SVG
        bodies.
      operationId: listCollectionIcons
      parameters:
        - $ref: '#/components/parameters/CollectionPrefix'
      responses:
        '200':
          description: A collection index.
          headers:
            ETag:
              $ref: '#/components/headers/ETag'
            Cache-Control:
              $ref: '#/components/headers/CacheControl'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionIndex'
        '404':
          $ref: '#/components/responses/NotFound'
        '503':
          $ref: '#/components/responses/CatalogUnavailable'
components:
  parameters:
    CollectionPrefix:
      name: prefix
      in: path
      required: true
      description: Lowercase kebab-case icon collection prefix.
      schema:
        type: string
        pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
      example: lucide
  headers:
    ETag:
      description: Identifier for conditional requests.
      schema:
        type: string
    CacheControl:
      description: Public browser and shared-cache directives.
      schema:
        type: string
        example: public, max-age=86400, s-maxage=604800, stale-while-revalidate=86400
  schemas:
    CollectionIndex:
      type: object
      required:
        - prefix
        - total
        - title
        - uncategorized
        - categories
        - hidden
        - aliases
      properties:
        prefix:
          type: string
        total:
          type: integer
          minimum: 0
        title:
          type: string
        info:
          type: object
        uncategorized:
          type: array
          items:
            type: string
        categories:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        hidden:
          type: array
          items:
            type: string
        aliases:
          type: object
          additionalProperties:
            type: string
        lastModified:
          type:
            - integer
            - 'null'
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  responses:
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    CatalogUnavailable:
      description: The icon catalog could not be read or resolved.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````